%global drupaldir %{_datadir}/drupal6
Name:      drupal6-rules
Version:   1.5
Release:   4%{?dist}
Summary:   It allows site administrators to define conditionally executed actions

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/rules
Source0:   http://ftp.drupal.org/files/projects/rules-6.x-1.5.tar.gz
Source1:   %{name}-fedora-README.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6, php >= 5.1

%description
The rules modules allows site administrators to define conditionally executed
actions based on occurring events (known as reactive or ECA rules).
It's a replacement with more features for the trigger module in core
and the successor of the Drupal 5 workflow-ng module.

%prep
%setup -qn rules
chmod -x rules/rules.module
cp -p %{SOURCE1} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/rules
cp -pr * %{buildroot}%{drupaldir}/modules/rules

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt %{name}-fedora-README.txt README.txt UPGRADE.txt
%exclude %{drupaldir}/modules/rules/*.txt
%{drupaldir}/modules/rules

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Peter Borsa <peter.borsa@gmail.com> - 1.5-1
- Update to upstream 1.5 release for bug fixes
- Upstream changelog for this release is avalble at https://drupal.org/node/1711658

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.4-3
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Wed Jan 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.4-2
- Fixed License field.

* Thu Jan 13 2010 Peter Borsa <peter.borsa@gmail.com> - 1.4-1
- Initial packaging.
